/* For the news list item 3  */
.text-gold {
    color: var(--gold-light);
}
.news-gold-btn a {
    padding: 7px 13px;
    border: 1px solid rgba(215, 179, 65, 0.42);
    color: var(--gold-light) !important;
    font-size: 12px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    transition: background 0.3s ease, color 0.3s ease, border-color 0.3s ease;
    border-radius: 4px;
    background-color: transparent;
}
.news-gold-btn a:hover {
    background: var(--gold);
    border-color: var(--gold);
    color: #090909 !important;
}

.featured-main-card {
    background-color: transparent !important;
    border-radius: 12px;
    transition: transform 0.3s ease, border-color 0.3s ease, box-shadow 0.3s ease;
}

.featured-main-card:hover {
    border-color: var(--gold-light) !important;
    box-shadow: 0 10px 30px rgba(229, 193, 88, 0.05);
    transform: translateY(-2px);
}

.border-gold-subtle {
    border: 1px solid rgba(229, 193, 88, 0.50) !important;
}

.badge-gold-outline {
    background-color: transparent;
    color: var(--gold-light);
    border: 1px solid var(--gold-light);
    border-radius: 4px;
    padding: 0.45em 0.8em;
    font-size: 0.7rem;
    letter-spacing: 1px;
    width: fit-content;
}

.sub-featured-card {
    background-color: transparent !important;
    border-radius: 12px;
    transition: transform 0.3s ease, border-color 0.3s ease, box-shadow 0.3s ease;
    border-color: rgba(255, 255, 255, 0.15)
}

.sub-featured-card:hover {
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.5);
    transform: translateY(-2px);
}

.bg-purple-badge {
    background-color: #5E2AC7 !important;
    color: #FFFFFF !important;
    font-size: 0.65rem;
    padding: 0.4em 0.7em;
    letter-spacing: 1px;
    border-radius: 3px;
}

.bg-blue-badge {
    background-color: #1C5EC8 !important;
    color: #FFFFFF !important;
    font-size: 0.65rem;
    padding: 0.4em 0.7em;
    letter-spacing: 1px;
    border-radius: 3px;
}

/* Image styling in cards */
.card-image {
    object-fit: cover;
    transition: transform 0.5s ease;
}

.news-arrow {
    display: inline-block;
    font-size: 18px;
    line-height: 1;
    transition: transform 0.2s ease;
}

.news-btn:hover .news-arrow {
    color: #FFFFFF !important;
    transform: translateX(4px);
}
.news-btn .news-arrow {
    transition: transform 0.3s ease;
}
.news-btn a:hover{
    color: #FFFFFF !important;
}
.mobile-news-slider {
    display: none;
}
@media (max-width: 1024px) {

    .desktop-news-layout {
        display: none;
    }

    .mobile-news-slider {
        display: block;
        width: 100%;
        padding-bottom: 45px;
    }

    .mobile-news-slider .swiper-slide {
        height: auto;
    }
    .desktop-news {
        display: none;
    }
    .featured-main-card:hover {
        transform: translateY(0px);
    }
    .sub-featured-card:hover {
        transform: translateY(0px);
    }
    .mobile-news-slider .news-gold-btn {
        width: fit-content;
    }
}
/*
   UPCOMING EVENTS */

.upcoming-events-list {
    width: 100%;
}


/* Complete clickable link */
.list-item-link {
    display: block;
    text-decoration: none;
    color: inherit;
}


/* Event Card */
.upcoming-event-card {
    padding: 16px 0;
    transition: all 0.25s ease;
}


/* Left content */
.event-content {
    min-width: 0;
    gap: 14px;
}


/* Image */
.list-img-container {
    width: 100px;
    height: 80px;
    flex-shrink: 0;
    border-radius: 4px;
    overflow: hidden;
    border: 1px solid rgba(255, 255, 255, 0.15);
}


/* Image */
.list-thumb {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    object-position: top;
}


/* Fallback if no image */
.list-image-placeholder {
    width: 100%;
    height: 100%;
    background: #1c1c1c;
}


/* DATE BOX */

.event-date-box {
    width: 55px;
    height: 60px;
    flex-shrink: 0;
    border: 1px solid rgba(255, 255, 255, 0.15);
    border-radius: 4px;
    line-height: 1;
}


/* Day */
.date-day {
    font-size: 1.4rem;
    line-height: 1;
    color: #ffffff;
}


/* Month */
.date-month {
    margin-top: 6px;
    font-size: 0.65rem;
    font-weight: 600;
}


/* TEXT */

.list-text-details {
    min-width: 0;
}


/* Title */
.item-title {
    font-size: 1rem;
    line-height: 1.3;
    color: #ffffff;
    transition: color 0.25s ease;
}


/* Location / Subheader */
.event-subheader {
    font-size: 0.85rem;
    line-height: 1.4;
    color: rgba(255, 255, 255, 0.75);
}


/* Teaser */
.event-teaser, .latest-teaser{
    font-size: 0.8rem;
    line-height: 1.5;
    color: var(--gray);
}

.list-item-link:hover .item-title {
    color: var(--gold-light);
}

.list-item-link:hover .event-arrow {
    color: var(--gold-light);
}

.list-item-link:not(:last-child) .upcoming-event-card {
    border-bottom: 1px solid rgba(255, 255, 255, 0.12);
}
a.tracking-wider {
    color: var(--gold-light);
}
a.tracking-wider:hover {
    color: #FFFFFF;
}
.calendar-icon ,.star-icon, .volume-icon {
    width: 35px;
    height: 24px;
}
.upcoming-event-card .event-arrow,
.talent-spotlight-card .event-arrow,
.list-hover-card .event-arrow{
    font-size: 25px;
}
/* FOr the Talent spotlight  */
.talent-spotlight-card,.list-hover-card {
    padding: 10px 0;
}
.talent-spotlight-card:hover .talent-info-column h5.item-title,
.latest-news-list .list-item-link:hover .list-text-details h5.item-title {
    color: var(--gold-light) !important;
}
.list-item-link:not(:last-child) .talent-spotlight-card {
    border-bottom: 1px solid rgba(255, 255, 255, 0.12);
}
.list-item-link:not(:last-child) .list-hover-card {
    border-bottom: 1px solid rgba(255, 255, 255, 0.12);
}




/* ================================
   NEWS DETAIL PAGE
================================ */


.news-details .news-heading {
    margin-bottom: 35px;
    padding-bottom: 20px;
    border-bottom: 1px solid rgba(229, 193, 88, 0.25);
}

.news-details .news-heading h2 {
    margin: 0;
    font-weight: 700;
    color: var(--gold-light);
}

.news-details .news-img-wrap {
    margin-bottom: 30px;
}


.news-details .news-img-wrap img {
    display: block;
    max-width: 100%;
    height: auto;
    max-height: 70vh;
    margin: 0 auto;
    object-fit: contain;
	width: 100% !important;
}


.news-details .news-metadata {
    margin-bottom: 25px;
}

.news-details .news-metadata {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 15px;
    margin-bottom: 30px;
}

.news-details .news-list-date {
    color: var(--gold-light);
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
}

.news-details .news-list-category {
    color: #bdbdbd;
    font-size: 14px;
}

.news-details .news-list-date::after {
    content: "|";
    margin-left: 15px;
    color: var(--gold-light);
}

.news-details .teaser-text {
    margin-bottom: 30px;
    padding: 25px;
    border-radius: 20px;
    background: rgba(255, 255, 255, 0.015);
    border: 1px solid var(--border);
    transition: all 0.3s ease;
}
.news-text-wrap {
    padding: 34px;
    border-radius: 28px;
    background: linear-gradient(145deg, rgba(255, 255, 255, 0.05), rgba(255, 255, 255, 0.01)), var(--black-soft);
    border: 1px solid var(--border);
}
.news-backlink-wrap {
    margin-top: 20px;
    width: fit-content;
}


/* =========================
   News Pagination
========================= */

.f3-widget-paginator {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;

    margin: 40px 0 0;
    padding: 0;

    list-style: none;
}

/* All pagination items */
.f3-widget-paginator li {
    display: flex;
    align-items: center;
    justify-content: center;

    min-width: 42px;
    height: 42px;

    margin: 0;
    padding: 0;

    border: 1px solid #2a2d32;
    border-radius: 8px;

    background: #121416;
    transition: all 0.3s ease;
}

/* Links */
.f3-widget-paginator li a {
    display: flex;
    align-items: center;
    justify-content: center;

    width: 100%;
    height: 100%;

    padding: 0 14px;

    color: #ffffff;
    text-decoration: none;

    font-size: 16px;
    font-weight: 500;
}

/* Hover */
.f3-widget-paginator li:hover {
    border-color: #d6b84f;
    background: #24251d;
}

.f3-widget-paginator li:hover a {
    color: #d6b84f;
}

/* Current page */
.f3-widget-paginator li.current {
    color: #ffffff;
    font-weight: 600;
    background: linear-gradient(135deg, var(--gold-light), var(--gold-dark));
    border-color: #d6b84f;
}

/* Next button */
.f3-widget-paginator li.next {
    min-width: 50px;
}


.f3-widget-paginator li.next:hover a::after {
    color: #d6b84f;
}

.news-single .news-details {
	display: flex;
    flex-direction: column;
}
.news-single .article .news-img-wrap {
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 30px;
}
.news-single .article .news-img-wrap {
	width: 100%;
	background: transparent;
}
